; +2A/B ROM loader

; BASIC:
;	10 CLEAR 49151
;	20 LOAD "" SCREEN$
;	30 RANDOMIZE USR 16384

	org 16384

	di;							// interrupts off

; select RAM page 4
	ld bc, $7ffd;				// 128 RAM paging
	ld a, %00010100;			// ROM1, VID0, RAM4
	out (c), a;					// set it

; load header
	xor a;						// indicate header
	scf;						// set carry flag
	ld de, $0011;				// header is 17 bytes long
	ld ix, 49152;				// address of header 
	call $0556;					// input from tape routine

; load data
	ld a, $ff;					// indicate data
	scf;						// set carry flag
	ld de, 16384;				// 16KiB in length
	ld ix, 49152;				// address of data (overwrites header) 
	call $0556;					// input from tape routine

	
; set all RAM mode 4563
	ld bc, $1ffd;				// +3 RAM paging
	ld a, %00000101;			// PRN0, DSK0, RAM4563
	out (c), a;					// set RAM paging
	rst 0;						// JP $0000
